Available in VPC
Add a related subnet list to a route table.Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vpc/v2/addRouteTableSubnet |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the request headers common to all VPC APIs, see VPC request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the route table to which you want to add a list of associated subnets
|
vpcNo |
String | Required | VPC number of the route table to which you want to add the associated subnet list
|
routeTableNo |
String | Required | Number of the route table to which you want to add the list of associated subnets
|
subnetNoList.N |
List[String] | Required | List of associated subnet numbers to add
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/addRouteTableSubnet
?regionCode=KR
&vpcNo=***04
&routeTableNo=***38
&subnetNoList.1=***45' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
See SubnetList for the response body.
Response status codes
For information about the response status codes common to all VPC APIs, see VPC response status codes.
Response example
The response example is as follows:
<addRouteTableSubnetResponse>
<requestId>d8559867-f266-4782-8bf4-d99bd318336e</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>2</totalRows>
<subnetList>
<subnet>
<subnetNo>***44</subnetNo>
<vpcNo>***04</vpcNo>
<zoneCode>KR-1</zoneCode>
<subnetName>test-***</subnetName>
<subnet>***.***.1.0/24</subnet>
<subnetStatus>
<code>RUN</code>
<codeName>run</codeName>
</subnetStatus>
<subnetType>
<code>PUBLIC</code>
<codeName>Public</codeName>
</subnetType>
</subnet>
<subnet>
<subnetNo>***45</subnetNo>
<vpcNo>***04</vpcNo>
<zoneCode>KR-1</zoneCode>
<subnetName>test-***</subnetName>
<subnet>***.***.2.0/24</subnet>
<subnetStatus>
<code>INIT</code>
<codeName>init</codeName>
</subnetStatus>
<subnetType>
<code>PUBLIC</code>
<codeName>Public</codeName>
</subnetType>
</subnet>
</subnetList>
</addRouteTableSubnetResponse>